Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.steps
Class BeforeOrAfterStep

    java.lang.Object
      org.jbehave.core.steps.BeforeOrAfterStep

    public class BeforeOrAfterStep

extends Object

A BeforeOrAfterStep is associated to a Java method annotated with `BeforeStory`, `AfterStory`, `BeforeScenario` or `AfterScenario` in a `CandidateSteps` instance class. The BeforeOrAfterStep is responsible for the creation of the executable step via the `StepCreator`.

Constructor Summary
`BeforeOrAfterStep(StepCollector.Stage stage, Method method, AfterScenario.Outcome outcome, StepCreator stepCreator)`
`BeforeOrAfterStep(StepCollector.Stage stage, Method method, StepCreator stepCreator)`

Method Summary
`Step` | `createStep()`
`Step` | `createStepUponOutcome(Meta storyAndScenarioMeta)`
`Step` | `createStepWith(Meta meta)`
`Method` | `getMethod()`
`StepCollector.Stage` | `getStage()`
`String` | `toString()`
`void` | `useStepMonitor(StepMonitor stepMonitor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeforeOrAfterStep

    public BeforeOrAfterStep(StepCollector.Stage stage,
                             Method method,
                             StepCreator stepCreator)

### BeforeOrAfterStep

    public BeforeOrAfterStep(StepCollector.Stage stage,
                             Method method,
                             AfterScenario.Outcome outcome,
                             StepCreator stepCreator)

Method Detail

### getStage

    public StepCollector.Stage getStage()

### getMethod

    public Method getMethod()

### createStep

    public Step createStep()

### createStepWith

    public Step createStepWith(Meta meta)

### createStepUponOutcome

    public Step createStepUponOutcome(Meta storyAndScenarioMeta)

### useStepMonitor

    public void useStepMonitor(StepMonitor stepMonitor)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.